### Function

# GLib Date is_leap_year

#### Declaration [src]

    gboolean
    g_date_is_leap_year (
      GDateYear year
    )

#### Description [src]

Returns `TRUE` if the year is a leap year.

For the purposes of this function, leap year is every year divisible by 4 unless that year is divisible by 100. If it is divisible by 100 it would be a leap year only if that year is also divisible by 400.

#### Parameters

`year`

  Type: `GDateYear`

  Year to check.

#### Return value

Type: `gboolean`

`TRUE` if the year is a leap year.